/*
 * Copyright: (C) 2003 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */

#ifndef MILEKEYS_H
#define MILEKEYS_H

#include "mileagekeypad.h"

class QLineEdit;


class milekeys: public keypadForm
{ 

public:
   milekeys(
      bool       date,
      QLineEdit  *edit,
      QWidget* parent = 0,
      const char* name = 0,
      WFlags fl = 0 );
   ~milekeys();

   void
   enterTodayDate();

   void
   enter0Button();
  
   void
   enter1Button();
  
   void
   enter2Button();
  
   void
   enter3Button();
  
   void
   enter4Button();
  
   void
   enter5Button();
  
   void
   enter6Button();
  
   void
   enter7Button();
  
   void
   enter8Button();
  
   void
   enter9Button();
  
   void
   enterDotButton();
  
   void
   enterSlashButton();

   void
   backspaceCallback();

private:

   milekeys(milekeys& op);

   const milekeys&
   operator=(const milekeys& op);

   void
   enterKeyPress(QString str);


QLineEdit  *_edit;
};

#endif // MILEKEYS_H
