/*
 * Copyright: (C) 2003 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */

#ifndef MILEAGECFG_H
#define MILEAGECFG_H

#include <qstring.h>


class QDir;
class QStringList;


#define CAR_DATA_DIR  "Documents/mileage/"


class mileagecfg
{ 

public:
    mileagecfg();
    ~mileagecfg();


    int
    returnUnits();

    void
    returnPersons(QStringList & persons);

    void
    returnDestinations(QStringList & dest);

    int
    returnCostUnits();

    void
    setUnits(int units);

    void
    setPerson(QString & person);

    void
    setDestination(QString& dest);

    void
    setCostUnits(int units);


private:


QDir     *_dir;
QString  *_filestr;
};

#endif // MILEAGECFG_H
